/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.vodafone;

import jp.sourceforge.livez.Appli;

/**
 * Vアプリ実行環境情報のインターフェースです。
 * 
 * @author 杉澤 浩二
 */
public interface Vappli extends Appli {

	/**
	 * MIDP 対応バージョンを返します。
	 * 
	 * @return MIDP 対応バージョン
	 */
	public float getMidpVersion();

	/**
	 * CLDC 対応バージョンを返します。
	 * 
	 * @return CLDC 対応バージョン
	 */
	public float getCldcVersion();

	/**
	 * JSCL 対応バージョンを返します。
	 * 不明な場合は <code>null</code> を返します。
	 * 
	 * @return JSCL 対応バージョン
	 */
	public String getJsclVersion();

	/**
	 * VSCL 対応バージョンを返します。
	 * 不明な場合は <code>null</code> を返します。
	 * 
	 * @return VSCL 対応バージョン
	 */
	public String getVsclVersion();

}
